Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 20:29
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Ufraw: Digital camera raw image utility & gimp-plugin for p4
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 3 of 4 Posts_count   Goto page: Previous 1, 2, 3, 4 Next
Author Message
christian50

Joined: 03 Jan 2009
Posts: 3
Location: Helsinki, Finland

PostPosted: Sun 04 Apr 2010, 00:53    Post_subject: Re: password  

fantasiagreen wrote:
fantasiagreen wrote:
I've just tried to download the ufraw .pet mentioned in the first post but when I do so I am asked for a username and password. My login credentials used to access this forum don't work, so I'm stumped.


Worked it out now having read another post elsewhere! Sorry!


I have the same problem, and I can't figure it out. Could someone please point me in the right direction?
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sun 04 Apr 2010, 03:23    Post_subject:  

I've added another link to the first post. Otherwise, uname=puppy, pword=linux, but I think Eric Caneri's puppylinux.ca site might be having problems.
Back to top
View user's profile Send_private_message 
christian50

Joined: 03 Jan 2009
Posts: 3
Location: Helsinki, Finland

PostPosted: Sun 04 Apr 2010, 08:08    Post_subject:  

muggins wrote:
I've added another link to the first post. Otherwise, uname=puppy, pword=linux, but I think Eric Caneri's puppylinux.ca site might be having problems.


Many thanks for your help, now I could download the package.
--Christian
Back to top
View user's profile Send_private_message 
Peterm321

Joined: 29 Jan 2009
Posts: 236

PostPosted: Thu 08 Jul 2010, 10:46    Post_subject:  

There is an updated version with improved algorithm of dcb_dcraw at

http://www.linuxphoto.org/html/other/dcb_dcraw

The Linux executable runs without any extra dependencies (well at least it does on my version of "Turbo Pup").
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Sun 24 Apr 2011, 22:44    Post_subject:
Sub_title: UFRaw - Linux support for the Kodak Z981?
 

I loaded ufraw-0.16-i486.pet and libgtkimageview .pet in dpup009 and it does not respond.

UFRaw is the only Linux app that reports support for the Kodak Z981.

http://www.linuxphoto.org/html/other/dcb_dcraw

Generates this error:

Quote:
Error: Not Found
The requested URL /html/other/dcb_dcraw was not found on this server.


http://ufraw.sourceforge.net/Install.html doesn't list Puppy at all.

There is a
Quote:
ufraw-0.18.tar.gz
here:
http://registry.gimp.org/node/31 that is supposed to be a GIMP plugin but I don't know if it is GIMP version-specific or if it would be OK to use with Fluppy (or any Puppy for that matter)

I tried the GIMP plugin but got stuck at this point (using dpup009), will have a look at Fluppy013 tomorrow ...

Quote:
# ./configure
checking build system type... i686-pc-linux-gnuoldld
checking host system type... i686-pc-linux-gnuoldld
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/initrd/mnt/dev_save/savestuff/downloads/dpup009/ufraw-0.18':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details
#



I'd love support for Fluppy (currently at 013) as I am about to convert this last of the laptops from dpup to Fluppy.

Thanks!

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
Mmmm

Joined: 15 Jun 2010
Posts: 22

PostPosted: Fri 03 Jun 2011, 10:00    Post_subject:  

I have installed ufraw from the files here and it runs. The first thing it does is ask for a raw file to load. When I give it an ARW file from a Sony camera (listed as supported) ufraw immediately crashes with the message

ufraw: symbol lookup error: ufraw: undefined symbol: _ZN5Exiv2lsERSoRKNS_9ExifdatumE


Looking here
http://sourceforge.net/projects/ufraw/forums/forum/434060/topic/3776695

it implies that the problem is the version of libgtkimageview but that can't be the case right?

ps. im using puppy 525
Any ideas?
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sat 04 Jun 2011, 03:39    Post_subject:  

Hello Mmmm,

not sure...i'll need to install p525 & have a look...i'll get back to you

cheers
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sat 04 Jun 2011, 05:26    Post_subject:  

OK, I've booted into p525 & installed ufraw. First thing, running from commandline, it complains about:

Code:
# ufraw
ufraw: error while loading shared libraries: libexiv2.so.2: cannot open shared object file: No such file or directory


resolved with:

Code:
# ln -s /usr/lib/libexiv2.so /usr/lib/libexiv2.so.2


Then, not owning a camera, and somehow losing the only raw image I downloaded for testing, I'm unable to go any further...could you please upload a raw file that isn't working somewhere & provide a link?

One other thing I noticed is that, after installing gimp-2.4.6.pet, the ufraw-gimp plugin isn't showing up in gimp. I'm sure I've had this problem before, but further research required, as I've forgotten the work-around!

cheers
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sat 04 Jun 2011, 06:27    Post_subject:  

Mmmm,

forget about uploading a raw image file, as I found one & I'm getting exactly the same error as you! Definitely more research needed.
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sun 05 Jun 2011, 06:37    Post_subject:  

I've recompiled ufraw on lupu-520, and uploaded to:

ufraw-0.18-i486.pet (1Mbyte)

It also needs the attached libgtkimageview pet.

I've separated the gimp-plugin & NLS files as:

ufraw-gimp-plugin-0.18-i486

ufraw-NLS-0.18-i486

Run via Menu>Graphic>Ufraw

N.B. 1) I've tested this on lupu 511, 520 & 525, & snowpuppy 15. Due to incompatible gtk & glib, it won't work with 4 series, and prior.

2) I've only tested the gimp plugin with gimp v2.4.6. With newer versions, it should also work, but the ufraw-gimp plugin might need to be moved to the relevant plugin folder.

3) Html manual is in /usr/share/doc/ufraw/Guide.html.
libgtkimageview-1.6.4-i486.pet
Description 
pet

 Download 
Filename  libgtkimageview-1.6.4-i486.pet 
Filesize  26.46 KB 
Downloaded  566 Time(s) 

Edited_time_total
Back to top
View user's profile Send_private_message 
Mmmm

Joined: 15 Jun 2010
Posts: 22

PostPosted: Mon 06 Jun 2011, 10:06    Post_subject:  

Ooohh.... Sorry I didn't reply sooner, the forum software didnt email me so I assumed that no-one had replied...
It works wonderfully now!! thanks muggins...

gimp works if I start in Gimp, but if I start in ufraw and press the gimp button it says it cant find gimp-remote....
Back to top
View user's profile Send_private_message 
Mmmm

Joined: 15 Jun 2010
Posts: 22

PostPosted: Mon 06 Jun 2011, 17:00    Post_subject:  

I was trying to compile this myself but can't work out how to get the gimp plugin, it says I don't have gimp! I'm using the 2.6.10 sfs version of gimp.

How do you do it? I'd like to be able to compile my own stuff, I just need a few pointers...

Thanks...
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Mon 06 Jun 2011, 18:30    Post_subject:  

Perhaps the 2.6.10 sfs is missing needed include files, or /usr/lib/pkgconfig files. What errors are you receiving?
Back to top
View user's profile Send_private_message 
Mmmm

Joined: 15 Jun 2010
Posts: 22

PostPosted: Tue 07 Jun 2011, 06:42    Post_subject:  

no errors, it just says 'no' to the gimp plug-in at the end of the configure output...further up the output it says 'checking for gimp....no'

if I use the option --enable-gimp (or similar - not on my linux box at the moment) it gives the error 'gimp not found'
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Tue 07 Jun 2011, 08:25    Post_subject:  

Check if you have gimp-2.0.pc file, in /usr/lib/pkgconfig directory, as the configure script is looking for this. Also make sure you have /usr/include/gimp-2.0 directory, and all the relevant libgimp* files in /usr/lib.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 3 of 4 Posts_count   Goto page: Previous 1, 2, 3, 4 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0807s ][ Queries: 12 (0.0051s) ][ GZIP on ]